particles particles

particles

5 9 0

Components platform for Node.js, built around the Scatter IoC container.

Dependencies

Package Locked Requirement Latest Status Changelog
Npms bunyan ~0.22.1 1.3.5

bunyan

a JSON logging library for node.js services

This dependency is not matching latest version. Please consider upgrading.

Npms bunyan-prettystream ~0.1.3 0.1.3

bunyan-prettystream

A stream implementation of the bunyan cli tool's pretty printing capabilities

This dependency is up-to-date. Congrats and keep going!

Npms extend 1.2.1 2.0.1

extend

Port of jQuery.extend for node.js and the browser

This dependency is not matching latest version. Please consider upgrading.

Npms lodash ~2.4.0 3.9.1

lodash

The modern build of lodash modular utilities.

This dependency is not matching latest version. Please consider upgrading.

Npms minimist 0.0.8 1.1.1

minimist

parse argument options

This dependency is not matching latest version. Please consider upgrading.

Npms object-path ~0.1.1 0.9.2

object-path

Access deep properties using a path

This dependency is not matching latest version. Please consider upgrading.

Npms scatter ~0.7.0 0.7.2

scatter

IoC container and out-of-the-box extensibility for Node.js applications

This dependency is up-to-date. Congrats and keep going!

Npms scatter-plugin-all ~0.1.0 0.1.0

scatter-plugin-all

Scatter plugin for requiring all the modules in a namespace

This dependency is up-to-date. Congrats and keep going!

Npms scatter-plugin-config ~0.1.0 0.1.0

scatter-plugin-config

Allows the Scatter IoC container to inject configuration parameters

This dependency is up-to-date. Congrats and keep going!

Npms when ~2.8.0 3.7.3

when

A lightweight Promises/A+ and when() implementation, plus other async goodies.

This dependency is not matching latest version. Please consider upgrading.

Package Locked Requirement Latest Status Changelog
Npms chai ~1.9.0 2.3.0

chai

BDD/TDD assertion library for node.js and the browser. Test framework agnostic.

This dependency is not matching latest version. Please consider upgrading.

Npms mocha ~1.17.1 2.2.5

mocha

simple, flexible, fun test framework

This dependency is not matching latest version. Please consider upgrading.

Npms rimraf ~2.2.2 2.3.4

rimraf

A deep deletion module for node (like `rm -rf`)

This dependency is not matching latest version. Please consider upgrading.

Npms through ~2.3.4 2.3.7

through

simplified stream construction

This dependency is up-to-date. Congrats and keep going!